TransferOutcome (The Data Transfer Agent Service 1.1.0-SNAPSHOT API)
Date: 2012-10-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.event
Class TransferOutcome

    java.lang.Object
      org.gcube.datatransfer.agent.impl.event.TransferOutcome

    public class TransferOutcome

extends Object

Author:
  Andrea Manzi(CERN)

Constructor Summary
`TransferOutcome()`

Method Summary
`String` | `getDestID()`
`String` | `getOutcome()`
`org.gcube.common.core.scope.GCUBEScope` | `getScope()`
`String` | `getSourceID()`
`String` | `getTransferId()`
`String` | `getTransferPhase()`
`org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType` | `getTransferType()`
`void` | `setDestID(String destID)`
`void` | `setOutcome(String outcome)`
`void` | `setScope(org.gcube.common.core.scope.GCUBEScope scope)`
`void` | `setSourceID(String sourceID)`
`void` | `setTransferId(String transferId)`
`void` | `setTransferPhase(String transferPhase)`
`void` | `setTransferType(org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType transferType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransferOutcome

    public TransferOutcome()

Method Detail

### getTransferId

    public String getTransferId()

### setTransferId

    public void setTransferId(String transferId)

### getScope

    public org.gcube.common.core.scope.GCUBEScope getScope()

### setScope

    public void setScope(org.gcube.common.core.scope.GCUBEScope scope)

### getTransferType

    public org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType getTransferType()

### setTransferType

    public void setTransferType(org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType transferType)

### getTransferPhase

    public String getTransferPhase()

### setTransferPhase

    public void setTransferPhase(String transferPhase)

### getSourceID

    public String getSourceID()

### setSourceID

    public void setSourceID(String sourceID)

### getDestID

    public String getDestID()

### setDestID

    public void setDestID(String destID)

### getOutcome

    public String getOutcome()

### setOutcome

    public void setOutcome(String outcome)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.